local assets =
{
	Asset("ANIM", "data/anim/marble.zip"),
	Asset("IMAGE", "data/inventoryimages/marble.tex"),
}

--MOD--
local function test_ground(inst, pt)
	local tiletype = GetGroundTypeAtPosition(pt)
	local ground_OK = tiletype == GROUND.CHECKER or tiletype == GROUND.ROCKY -- tiletype ~= GROUND.ROAD and tiletype ~= GROUND.IMPASSABLE
	
	if ground_OK then
	    local ents = TheSim:FindEntities(pt.x,pt.y,pt.z, 4)
		local min_spacing = inst.components.deployable.min_spacing or 2

	    for k, v in pairs(ents) do
			if v ~= inst and v.entity:IsValid() and v.entity:IsVisible() and not v:HasTag("player") and not v.components.placer and v.parent == nil and not v:HasTag("FX") then
				if distsq( Vector3(v.Transform:GetWorldPosition()), pt) < min_spacing*min_spacing then
					return false
				end
			end
		end
		
		return true

	end
	return false
	
end

local function CanDeploy(inst) return true end
local function OnDeploy (inst, pt) 
    local flower = SpawnPrefab("marbletree")
    if flower then
		flower.Transform:SetPosition(pt.x, pt.y, pt.z)
        inst.components.stackable:Get():Remove()
		flower.SoundEmitter:PlaySound("dontstarve/forest/treeGrow") 
		flower.SoundEmitter:PlaySound("dontstarve/wilson/use_pick_rock")
    end
end
--/MOD--

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	MakeInventoryPhysics(inst)

	inst.AnimState:SetBank("marble")
	inst.AnimState:SetBuild("marble")
	inst.AnimState:PlayAnimation("anim")

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	
	--MOD--
    inst:AddComponent("deployable")
    inst.components.deployable.ondeploy = OnDeploy
	inst.components.deployable.test = test_ground
	--/MOD--

	return inst
end

return Prefab ("common/inventory/marble", fn, assets),
        MakePlacer( "common/marble_placer", "marble_trees", "marble_trees", "full_4" )--/MOD--