local assets=
{
	Asset("ANIM", "data/anim/nightmarefuel.zip"),
    Asset("IMAGE", "data/inventoryimages/nightmarefuel.tex"),
}
--MOD--
local function CanDeploy(inst) return true end
local function OnDeploy (inst, pt, deployer) 
    local evilflower = SpawnPrefab("flower_evil")
    if evilflower and deployer.components.sanity then
	    deployer.components.sanity:DoDelta(-TUNING.SANITY_TINY)
		evilflower.Transform:SetPosition(pt.x, pt.y, pt.z)
        inst.components.stackable:Get():Remove()
    end
end
--/MOD--
local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("nightmarefuel")
    inst.AnimState:SetBuild("nightmarefuel")
    inst.AnimState:PlayAnimation("idle_loop", true)
    inst.AnimState:SetMultColour(1, 1, 1, 0.5)
    
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM    
    inst:AddComponent("inspectable")
    inst:AddComponent("fuel")
    inst.components.fuel.fueltype = "NIGHTMARE"
    inst.components.fuel.fuelvalue = TUNING.LARGE_FUEL

    inst:AddComponent("inventoryitem")
	--MOD--
	inst:AddComponent("deployable")
    inst.components.deployable.ondeploy = OnDeploy
    --/MOD--
	return inst
end

return Prefab( "common/inventory/nightmarefuel", fn, assets),
       MakePlacer("common/nightmarefuel_placer", "flowers_evil", "flowers_evil", "f1" )--/MOD--
