local assets=
{
	Asset("ANIM", "data/anim/tentaclespots.zip"),
    Asset("IMAGE", "data/inventoryimages/tentaclespots.tex"),
}

--MOD--
local function test_ground(inst, pt)
	local tiletype = GetGroundTypeAtPosition(pt)
	local ground_OK = tiletype == GROUND.MARSH --tiletype ~= GROUND.ROCKY and tiletype ~= GROUND.ROAD and tiletype ~= GROUND.IMPASSABLE
	
	if ground_OK then
	    local ents = TheSim:FindEntities(pt.x,pt.y,pt.z, 4)
		local min_spacing = inst.components.deployable.min_spacing or 2

	    for k, v in pairs(ents) do
			if v ~= inst and v.entity:IsValid() and v.entity:IsVisible() and not v:HasTag("player") and not v.components.placer and v.parent == nil and not v:HasTag("FX") then
				if distsq( Vector3(v.Transform:GetWorldPosition()), pt) < min_spacing*min_spacing then
					return false
				end
			end
		end
		
		return true

	end
	return false
	
end

local function CanDeploy(inst) return true end
	local function ondeploy(inst, pt, deployer)
		local tree = SpawnPrefab("tentacle") 
		if tree and deployer.components.sanity then
	        deployer.components.sanity:DoDelta(-TUNING.SANITY_SMALL) 
			tree.Transform:SetPosition(pt.x, pt.y, pt.z) 
			inst.components.stackable:Get():Remove()
			tree.SoundEmitter:PlaySound("dontstarve/tentacle/tentacle_splat")
			tree.SoundEmitter:PlaySound("dontstarve/tentacle/tentacle_emerge")
		end 
	end
--/MOD--

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    anim:SetBank("tentaclespots")
    anim:SetBuild("tentaclespots")
    anim:PlayAnimation("idle")
    
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
	
	--MOD--
	inst:AddComponent("deployable")
	inst.components.deployable.ondeploy = ondeploy
	inst.components.deployable.test = test_ground
	inst.components.deployable.min_spacing = 2
	--/MOD--

    inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.SMALL_FUEL
    
	MakeSmallBurnable(inst, TUNING.SMALL_BURNTIME)
    MakeSmallPropagator(inst)
    
    
    return inst
end

return Prefab( "common/inventory/tentaclespots", fn, assets),
    MakePlacer( "common/tentaclespots_placer", "pinecone", "pinecone", "idle_planted" )--/MOD--
